%global __provides_exclude_from %{_libdir}/thunarx-3/.*\\.so

Name:		thunar-dropbox
Summary:	Dropbox plugin for Thunar
Version:	0.3.1
Release:	%mkrel 2
License:	GPLv3
Group:		Graphical desktop/XFCE
Url:		https://github.com/Jeinzi/thunar-dropbox
Source0:	https://github.com/Jeinzi/thunar-dropbox/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	git
BuildRequires:	lib64thunarx-devel
Requires:	hicolor-icon-theme
Requires:	thunar
Requires:	dropbox

%description
Thunar Dropbox is a plugin for thunar that adds context-menu items from
dropbox.

%prep
%setup -q

# fix libdir
sed -i -e 's,lib/,%{_lib}/,g' CMakeLists.txt

%build
%cmake
%make_build

%install
%make_install -C build

%files
%{_libdir}/thunarx-3/thunar-dropbox.so
%{_iconsdir}/hicolor/*/apps/thunar-dropbox.png


%changelog
* Mon Aug 22 2022 tex -- 0.3.1-2pclos2022
- rebuild

* Sun Sep 01 2019 tex - 0.3.1-1pclos2019
- new version 0.3.1
